Skip to main content
GET
/
api
/
v1
/
proxies
/
{proxy_id}
/
policies
List Proxy Policies
curl --request GET \
  --url https://api.example.com/api/v1/proxies/{proxy_id}/policies
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "proxy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "category": "<string>",
      "summary": "<string>",
      "rego": "<string>",
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Headers

Authorization
string | null

Path Parameters

proxy_id
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
PolicyRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required